// node native
import * as dns from 'dns';
import * as fs from 'fs';
import * as crypto from 'crypto';
import * as net from 'net';
import * as path from 'path';
import * as tls from 'tls';
import * as util from 'util';

export {
  dns,
  fs,
  crypto,
  net,
  path,
  tls,
  util,
}

// @apiclient.xyz/cloudflare
import * as cloudflare from '@apiclient.xyz/cloudflare';

export {
  cloudflare,
}

// @apiglobal scope
import * as typedrequest from '@apiglobal/typedrequest';
import * as typedsocket from '@apiglobal/typedsocket';

export {
  typedrequest,
  typedsocket,
}

// pushrocks scope
import * as smartfile from '@pushrocks/smartfile';
import * as smartpath from '@pushrocks/smartpath';
import * as smartpromise from '@pushrocks/smartpromise';
import * as smartrx from '@pushrocks/smartrx';

export {
  smartfile,
  smartpath,
  smartpromise,
  smartrx,
}

// tsclass scope
import * as tsclass from '@tsclass/tsclass';

export {
  tsclass,
}

// third party
import * as mailauth from 'mailauth';
import { dkimSign } from 'mailauth/lib/dkim/sign.js';
import mailparser from 'mailparser';
import * as uuid from 'uuid';

export {
  mailauth,
  dkimSign,
  mailparser,
  uuid,
}
